public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/hivex/
Date: Mon,  7 Oct 2024 13:17:11 +0000 (UTC)	[thread overview]
Message-ID: <1728307014.7ca17fd7236d4e2d6a62033c0ac3fcc7604d1e58.juippis@gentoo> (raw)

commit:     7ca17fd7236d4e2d6a62033c0ac3fcc7604d1e58
Author:     Filip Kobierski <fkobi <AT> pm <DOT> me>
AuthorDate: Thu Sep  5 10:35:28 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Oct  7 13:16:54 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ca17fd7

app-misc/hivex: add 1.3.24

- shorten `if`s
- sort stuff

Signed-off-by: Filip Kobierski <fkobi <AT> pm.me>
Closes: https://github.com/gentoo/gentoo/pull/38452
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-misc/hivex/Manifest            |   1 +
 app-misc/hivex/hivex-1.3.24.ebuild | 165 +++++++++++++++++++++++++++++++++++++
 2 files changed, 166 insertions(+)

diff --git a/app-misc/hivex/Manifest b/app-misc/hivex/Manifest
index 151898118492..bd6188c44952 100644
--- a/app-misc/hivex/Manifest
+++ b/app-misc/hivex/Manifest
@@ -1 +1,2 @@
 DIST hivex-1.3.23.tar.gz 738076 BLAKE2B b536e1b4b930b88b4bbbf8a4434e5ed7d407409acdbe68f7da67fa8198e1813bf84e918505eca7d341f15b41daeb0bbcfc974868a68f999e26941db759557fd5 SHA512 068fe81a442c8045bf9d98f0c6b782330141d8f1e104a0f191c04a2cff25ee6396c2c4777c107d595a471eb4bcbee903400c9f7946cae036165ac201587f861e
+DIST hivex-1.3.24.tar.gz 741279 BLAKE2B 9f4a7d66db75a8636bca9b818bcbd57fc82e1dabb324c3a087cba4bd16b3e8c97afe8b9208f409e1759615d7ac0f811c1b1764a2dc7ed04f30208587e3598206 SHA512 4b9be259e0359344aee2dce1e4df56d928b0e429abcc099479ba95b2940fb80cd285f22e6a914902bcc716e8b4b528f204bea10977913fc701ae45aacb66669b

diff --git a/app-misc/hivex/hivex-1.3.24.ebuild b/app-misc/hivex/hivex-1.3.24.ebuild
new file mode 100644
index 000000000000..fa123690b8b4
--- /dev/null
+++ b/app-misc/hivex/hivex-1.3.24.ebuild
@@ -0,0 +1,165 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32"
+RUBY_OPTIONAL=yes
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit perl-module ruby-ng python-single-r1 strip-linguas
+
+DESCRIPTION="Library for reading and writing Windows Registry 'hive' binary files"
+HOMEPAGE="https://libguestfs.org"
+SRC_URI="https://libguestfs.org/download/${PN}/${P}.tar.gz"
+S="${WORKDIR}/${P}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="ocaml +perl python readline ruby test"
+
+RDEPEND="
+	dev-libs/libxml2:2
+	virtual/libiconv
+	virtual/libintl
+	ocaml? (
+		dev-lang/ocaml[ocamlopt]
+		dev-ml/findlib[ocamlopt]
+	 )
+	perl? (
+		dev-lang/perl:=
+		dev-perl/IO-stringy
+	)
+	python? ( ${PYTHON_DEPS} )
+	readline? ( sys-libs/readline:= )
+	ruby? ( $(ruby_implementations_depend) )
+"
+DEPEND="
+	${RDEPEND}
+	perl? (
+		test? (
+			dev-perl/Pod-Coverage
+			dev-perl/Test-Pod-Coverage
+		)
+	)
+"
+
+ruby_add_bdepend "
+	ruby? (
+		dev-ruby/rake
+		dev-ruby/rdoc
+		virtual/rubygems
+	)
+"
+ruby_add_rdepend "ruby? ( virtual/rubygems )"
+
+REQUIRED_USE="
+	python? ( ${PYTHON_REQUIRED_USE} )
+	ruby? ( || ( $(ruby_get_use_targets) ) )
+"
+
+DOCS=( README )
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+	use ruby && ruby-ng_pkg_setup
+}
+
+src_unpack() {
+	default
+
+	cp -prlP "${WORKDIR}/${P}" "${WORKDIR}"/all || die
+}
+
+src_prepare() {
+	default
+
+	use perl && perl-module_src_prepare
+	use ruby && ruby-ng_src_prepare
+}
+
+src_configure() {
+	use ruby && ruby-ng_src_configure
+
+	if use perl; then
+		pushd perl || die
+		perl-module_src_configure
+		popd || die
+	fi
+
+	local myeconfargs=(
+		--enable-nls
+		--disable-ruby
+		--disable-rpath
+		$(use_with readline)
+		$(use_enable ocaml)
+		$(use_enable perl)
+		$(use_enable python)
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+each_ruby_configure() {
+	local myeconfargs=(
+		--without-readline
+		--disable-ocaml
+		--disable-perl
+		--enable-nls
+		--enable-ruby
+		--disable-python
+		--disable-rpath
+	)
+
+	export ac_cv_prog_RUBY="${RUBY}"
+
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	default
+
+	use ruby && ruby-ng_src_compile
+}
+
+each_ruby_compile() {
+	# -C ruby deliberately omitted as we need the library itself built too
+	emake
+}
+
+src_test() {
+	emake check
+
+	local dir
+	for dir in ocaml perl python ; do
+		use ${dir} && emake -C ${dir} check
+	done
+}
+
+each_ruby_test() {
+	emake -C ruby check
+}
+
+src_install() {
+	strip-linguas -i po
+
+	emake install DESTDIR="${ED}" "LINGUAS=""${LINGUAS}"""
+
+	use python && python_optimize
+	use ruby && ruby-ng_src_install
+
+	if use perl; then
+		perl_delete_localpod
+
+		# Workaround Build.PL for now (see libguestfs too)
+		doman "${ED}"/usr/man/man3/*
+		rm -r "${ED}"/usr/man || die
+	fi
+
+	find "${ED}" -name '*.la' -delete || die
+}
+
+each_ruby_install() {
+	emake -C ruby install DESTDIR="${ED}"
+}


             reply	other threads:[~2024-10-07 13:17 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-10-07 13:17 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-23 20:15 [gentoo-commits] repo/gentoo:master commit in: app-misc/hivex/ Arthur Zamarin
2024-06-11 10:13 Rick Farina
2024-06-02  5:12 Sam James
2023-12-02 10:56 Arthur Zamarin
2023-10-07 13:41 Joonas Niilola
2023-03-26  3:03 Sam James
2023-03-26  3:03 Sam James
2023-03-09  6:13 Sam James
2022-12-07 17:57 Hans de Graaff
2022-07-28 14:09 Sam James
2022-05-16  5:10 Sam James
2022-02-11 14:56 Joonas Niilola
2021-07-18  5:59 Hans de Graaff
2021-07-12 19:29 John Helmert III
2021-06-30 10:15 Ulrich Müller
2021-06-07 23:27 Sam James
2021-06-07  8:33 Joonas Niilola
2021-06-01 19:43 John Helmert III
2021-02-15  2:19 Rick Farina
2021-02-11 20:33 Conrad Kostecki
2021-01-15 17:05 Michał Górny
2020-05-31  9:44 Michał Górny
2020-05-31  9:44 Michał Górny
2020-05-02  5:18 Hans de Graaff
2020-03-18 20:36 Rick Farina
2020-02-10 11:54 Michał Górny
2019-11-08 13:29 Andreas K. Hüttel
2018-05-06  6:37 Hans de Graaff
2018-05-01 11:46 Michał Górny
2017-11-20 15:17 Manuel Rüger
2017-10-09 23:28 Thomas Deutschmann
2017-08-05 18:49 Hans de Graaff
2017-05-11  2:06 Richard Farina
2017-04-21 17:36 Pacho Ramos
2017-04-21 17:36 Pacho Ramos
2016-10-30  0:07 Mike Gilbert
2016-10-29 23:15 Mike Gilbert
2016-07-18 21:13 Hans de Graaff
2016-07-18 21:13 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1728307014.7ca17fd7236d4e2d6a62033c0ac3fcc7604d1e58.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox